#!/bin/bash
#
# iniciar.command - Inicia o software spLinker
#
# Site      :  http:\\splink.cria.org.br\splinker
# Autor     :  Diego Rocha <diego@cria.org.br>
# Manuteno:  Diego Rocha <diego@cria.org.br> 
#
# ----------------------------------------------------------

##############################################################
# Obs: Esse script no funciona em linha de comando 
# Obs: This script don't run on command line
#############################################################

SPLINKER_HOME=$(pwd)
SPLINKER_HOME=$( echo $0 | sed 's/iniciar.command//')
echo "Inicializando spLinker ... $0"

cd $SPLINKER_HOME
echo "cd $SPLINKER_HOME"

echo "spLinker diretio = $SPLINKER_HOME"

#-------------------------------------

TestFlag() {
    if [ -e "$SPLINKER_HOME/update.flag"  ]; then
        #Test to avoid "Warning: TZ environmente variable not found"
        if [ -z $TZ ]; then
           TZ=0
        fi
        unzip -qq -o  "$SPLINKER_HOME/update.zip" 
        rm -f "$SPLINKER_HOME/update.flag" 
        rm -f "$SPLINKER_HOME/update.zip" 
    fi 
}

#-------------------------------------

VerifyUpdate() {
    if [ -e "$SPLINKER_HOME/update.zip"  ]; then
         TestFlag
    fi 
}

#-------------------------------------

spLinker() {

   CLASSPATH=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Commands/
#   echo "CLASSPATH = $CLASSPATH"

   java -cp .:splinkermain.jar:updater.jar:splinker.jar br.org.cria.splinker.SpLinker
}

#-------------------------------------
CopiarJar() {
   echo "Funo que copia Jar"
   cd /System/Library/Frameworks/JavaVM.framework/Versions
   CURJDK="`readlink CurrentJDK`"

   #Variveis de controle 
   file=sljc.jar
   dir_file=/System/Library/Frameworks/JavaVM.framework/Versions/$CURJDK/Home/lib/ext
   
   if [ -e $dir_file/$file ]; then
   {
      echo "jar $file existe no diretrio $dir_file"
   }
   else
   {
      if [ -w $dir_file ]; then
      { 
         cp $SPLINKER_HOME/$file $dir_file/.
         echo "/System/Library/Frameworks/JavaVM.framework/Versions/$CURJDK/Home/lib/ext/"
         if [ -e $dir_file/$file ]; then
         {
            echo "jar $file copiado com sucesso no diretrio $dir_file"
         }
         else
         {
            echo "##########################################################################"
            echo "#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!#"
            echo "#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!#"
            echo "#!!!!!!!!Falha ao copiar o arquivo $file no diretrio:!!!!!!!!!!!!!!!!!!!#" 
            echo "# $dir_file #"
            echo "Pea a um administrador do sistema fazer a cpia ou entre em contato com a equipe do cria:"
            echo "splink@cria.org.br"
         }
         fi

      }
      else
      {
         sudo cp $SPLINKER_HOME/$file $dir_file/.
         if [ -e $dir_file/$file ]; then
         {
            echo "jar $file copiado com sucesso no diretrio $dir_file"
         }
         else
         {
            echo "##########################################################################" 
            echo "#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!#" 
            echo "#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!#" 
            echo "#!!!!!!!!Falha ao copiar o arquivo $file no diretrio:!!!!!!!!!!!!!!!!!!!#"
            echo "# $dir_file #" 
            echo "Pea a um administrador do sistema fazer a cpia ou entre em contato com a equipe do cria:"
            echo "splink@cria.org.br"
         }
         fi 
      }
      fi  
   }
   fi
   #Voltando para a pasta do spLinker
   cd $SPLINKER_HOME
   
}


#------------------------------------

Iniciar() {
   VerifyUpdate
   ./setJDK 1.4.2
   CopiarJar
   spLinker
}

#-------------------------------------

Iniciar

